﻿@using PagedList.Mvc;
@using PagedList;
@model PagedList<DAweb.Models.tblSanPham>
@using DAweb.Models;

<thead>
    <tr>
        <th>MASP</th>
        <th>TênSảnPhẩm</th>
        <th>Thông Tin </th>
        <th>Giá Bán  </th>
        <th>Giá Nhập </th>
        <th>Số Lượng </th>
        <th>MALOAI</th>
        <th>Ảnh Minh Họa </th>
        <th>SiZe</th>
         <th> Trạng Thái </th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {
   
        foreach (var item in Model)
        {
            <tr>
                <td>@item.MaSP</td>
                <td>@item.TenSP</td>
             <td> @Html.Raw(item.ThongTin)</td>    
               
                <td>@String.Format("{0:0,0}", item.GiaTien) </td>
                <td>@String.Format("{0:0,0}", item.GiaNhap) </td>
                <th>@item.SoLuongTonKho</th>
                <td>@item.MaLoaiSP</td>
              
             
                <td width="100px">
                    @if (item.AnhMinhHoa != null)
                    {
                        <img src="@Url.Content("~/App_Themes/HinhAnhSanPham/"+item.AnhMinhHoa)"  style="width:100px" />
                    }
                </td>
                <td>@item.SIZE</td>
                <td>
                    @Html.DisplayFor(modelItem => item.TrangThai)
                </td>
                <td><a class="btn btn-default" href="@Url.Action("ChinhSua", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger"  href="@Url.Action("Xoa", "AdminSP", new { @MaSP = item.MaSP })"><i class="glyphicon glyphicon-trash"></i> Xóa</a></td>
                <td><a class="btn btn-default" href="@Url.Action("HienThi", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Xem</a></td>
            </tr>
        }
    }
    @* Tạo link liên kết các trang*@
    Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount
    <div class="MenuTrang">
        @Html.PagedListPager(Model, page => Url.Action("DanhSachSanPham", new { page = page }))
    </div>
    <style>
        .MenuTrang li {
            display: inline;
            background-color: #edeae9;
        }
    </style>
   
</tbody>
